Block/Review Flagged Message
curl --request PATCH \
--url https://{appId}.api-{region}.cometchat.io/v3/moderation/flagged-messages/{id} \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/moderation/flagged-messages/{id}"
payload = {}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/moderation/flagged-messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}Flagged Messages
Block/Review Flagged Message
Review a CometChat flagged message by ID with REST API and apply block or review actions from moderation workflows.
PATCH
/
moderation
/
flagged-messages
/
{id}
Block/Review Flagged Message
Path Parameters
Id of the message which needs to be reviewed.
Body
application/json
Specifies the moderation action to apply to the flagged message.
Available options:
approved, disapproved Response
200 - application/json
Flagged message reviewed successfully.
Was this page helpful?
⌘I